Foreman - Bug #715

Searching in yaml returns 500
03/07/2011 08:55 AM - Dis Connect

Status: Closed

Priority: Normal

Assignee: Ohad Levy

Category: API

Target version: 0.3

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Taking a (working) search url from the browser and adding &format=yaml returns 500. (Worked a few weeks ago.) This also happens
if | strip the url down to only the populated field (hostname like)

Processing HostsController#index to yaml (for 10.0.5.128 at 2011-03-07 08:54:01) [GET]

Parameters: {"commit"=>"Go", "format"=>"yaml", "via"=>"fact_values_", "tab_name"=>"", "action"=>"index", "controller"=>"hosts",

"search"=>{"name_like"=>"test", "alerts_disabled"=>"0", "puppetclasses_id_eq"=>"", "fact_values_fact_name_id_eq"=>"",
"order"=>"", "hostgroup_id_eq"=>""}}

ActiveRecord::MissingAttributeError (missing attribute: hostgroup_id):
app/controllers/hosts_controller.rb:573:in “render_hosts'
app/controllers/hosts_controller.rb:560:in “render_hosts'
app/controllers/hosts_controller.rb:30:in “index’
/usr/lib/ruby/1.8/mongrel.rb:159:in “process_client'
/ust/lib/ruby/1.8/mongrel.rb:158:in “each’
/ust/lib/ruby/1.8/mongrel.rb:158:in “process_client'
/ust/lib/ruby/1.8/mongrel.rb:285:in “run’
/usr/lib/ruby/1.8/mongrel.rb:285:in “initialize'
/ust/lib/ruby/1.8/mongrel.rb:285

Rendering /usr/share/foreman/public/500.html (500 Internal Server Error)

Related issues:
Follows Foreman - Feature #719: Add new search functionaily Closed 03/09/2011

History

#1 - 03/15/2011 03:34 AM - Ohad Levy

- Target version set to 0.3

#2 - 04/11/2011 07:33 AM - Ohad Levy
- Status changed from New to Closed

- Assignee set to Ohad Levy

implemented as part of #719
https://projects.theforeman.org/issues/719
http://www.tcpdf.org

